summaryrefslogtreecommitdiff
path: root/mozilla-testing
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2012-01-02 21:59:59 -0500
committerLuke Shumaker <LukeShu@sbcglobal.net>2012-01-02 21:59:59 -0500
commit696a3dfae03d9ca8ca6ed8e733b04b31e2371805 (patch)
treefc238a19bc7533f0d42f857f5b8238752edf9c37 /mozilla-testing
parent4c4aa0c2464e64e3c5e1c75a868032b7b6df9012 (diff)
downloadabslibre-696a3dfae03d9ca8ca6ed8e733b04b31e2371805.tar.gz
abslibre-696a3dfae03d9ca8ca6ed8e733b04b31e2371805.tar.bz2
abslibre-696a3dfae03d9ca8ca6ed8e733b04b31e2371805.zip
Disabable pgo in iceweasel-libre
... by default. If you edit the PKGBUILD and set "_pgo=true", then it will build iceweasel-libre-pgo.
Diffstat (limited to 'mozilla-testing')
-rw-r--r--mozilla-testing/iceweasel-libre/PKGBUILD36
-rw-r--r--mozilla-testing/iceweasel-libre/mozconfig8
-rw-r--r--mozilla-testing/iceweasel-libre/mozconfig.pgo5
3 files changed, 35 insertions, 14 deletions
diff --git a/mozilla-testing/iceweasel-libre/PKGBUILD b/mozilla-testing/iceweasel-libre/PKGBUILD
index a9c8fdd76..5392a2bb8 100644
--- a/mozilla-testing/iceweasel-libre/PKGBUILD
+++ b/mozilla-testing/iceweasel-libre/PKGBUILD
@@ -1,6 +1,8 @@
# Maintainer: Luke Shumaker <lukeshu@sbcglobal.net>
# Contributor: Henry Jensen <hjensen@connochaetos.org>
+_pgo=false
+
# We're getting this from Debian Sid
_debname=iceweasel
_debver=9.0.1
@@ -13,6 +15,10 @@ pkgname=iceweasel-libre
pkgver=${_debver}.${_debrel}
pkgrel=2
+if $_pgo; then
+ pkgname+='-pgo'
+fi
+
pkgdesc="A libre version of Debian Iceweasel, the browser based on Mozilla Firefox."
arch=('i586' 'i686' 'x86_64' 'mips64el')
license=('GPL2' 'MPL' 'LGPL')
@@ -47,16 +53,21 @@ makedepends=(
'python2'
'quilt'
'wireless_tools'
- 'xorg-server-xvfb'
'yasm'
'zip'
)
+if $_pgo; then
+ makedepends+=('xorg-server-xvfb')
+ options=(!ccache)
+fi
+
url="http://www.geticeweasel.org/"
install=iceweasel.install
source=("${_debrepo}/`debfile ${_debname}`_${_debver}.orig.tar.bz2"
"${_debrepo}/`debfile ${_debname}`_${_debver}-${_debrel}.debian.tar.gz"
"${_debrepo}/`debfile ${_debname}`_${_debver}-${_debrel}.dsc"
mozconfig
+ mozconfig.pgo
xulrunner-copy-stub.patch
libre.patch
iceweasel-install-dir.patch
@@ -100,8 +111,8 @@ build() {
patch -Np1 -i "$srcdir/libre.patch"
cp -f ${srcdir}/region.properties ./browser/locales/en-US/chrome/browser-region/
- if [[ $(check_buildenv ccache) = "y" && $(check_option ccache) != "n" ]]; then
- echo "ac_add_options --with-ccache=`which ccache`" >> .mozconfig
+ if $_pgo; then
+ cat "$srcdir/mozconfig.pgo" >> .mozconfig
fi
# Fix PRE_RELEASE_SUFFIX
@@ -111,9 +122,13 @@ build() {
export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$_pkgname"
export PYTHON="/usr/bin/python2"
- LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
- LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="$MAKEFLAGS"
- kill $! || true
+ if $_pgo; then
+ LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
+ LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ kill $! || true
+ else
+ LD_PRELOAD="" make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ fi
}
package() {
@@ -125,7 +140,11 @@ package() {
# For some crazy reason, pgo moves the branding (and many other non-object
# files) to odd locations in the ff-pgo directory.
_brandingdir=debian/branding
- brandingdir=ff-pgo/dist/branding
+ if $_pgo; then
+ brandingdir=ff-pgo/dist/branding
+ else
+ brandingdir=$_brandingdir
+ fi
for i in 16x16 32x32 48x48; do
install -Dm644 "$brandingdir/default${i/x*/}.png" "$pkgdir/usr/share/icons/hicolor/$i/apps/$_pkgname.png"
done
@@ -152,7 +171,8 @@ package() {
md5sums=('bd656a24d0ba3d4ca7b68aca8081a07d'
'6cde9fe38df1434fdcc0f3a078b0238e'
'd9b5f2a893ad80da492aec8c9a7cbb7c'
- 'c401067e1ffcb8df5a53076845d28a88'
+ '1e3b075fd7963fe59c0687027637304d'
+ '27236cf92251e2e6a01e820e1d13e5d2'
'a485a2b5dc544a8a2bd40c985d2e5813'
'3c1a7d6984b47a0ab36a5d8e6672cb2b'
'e529742c0a425648087bc3ce537fe4c5'
diff --git a/mozilla-testing/iceweasel-libre/mozconfig b/mozilla-testing/iceweasel-libre/mozconfig
index 88e5ec422..9a0cc9ea3 100644
--- a/mozilla-testing/iceweasel-libre/mozconfig
+++ b/mozilla-testing/iceweasel-libre/mozconfig
@@ -33,12 +33,6 @@ ac_add_options --disable-installer
# Optimization
ac_add_options --enable-optimize
-# PGO
-ac_add_options --enable-profile-guided-optimization
-mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/ff-pgo
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
-mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'
-
export MOZILLA_OFFICIAL=1
mk_add_options MOZILLA_OFFICIAL=1
@@ -56,3 +50,5 @@ ac_add_options --with-branding=debian/branding
ac_add_options --disable-safe-browsing
export BUILD_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
+
+# Build-generated
diff --git a/mozilla-testing/iceweasel-libre/mozconfig.pgo b/mozilla-testing/iceweasel-libre/mozconfig.pgo
new file mode 100644
index 000000000..3509ec03f
--- /dev/null
+++ b/mozilla-testing/iceweasel-libre/mozconfig.pgo
@@ -0,0 +1,5 @@
+# PGO
+ac_add_options --enable-profile-guided-optimization
+mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/ff-pgo
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
+mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'